Bug 141209 - [patch] - update misc/gnuls to version 8.1
Summary: [patch] - update misc/gnuls to version 8.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-06 00:30 UTC by Cristiano Rolim Pereira
Modified: 2009-12-25 17:50 UTC (History)
0 users

See Also:


Attachments
file.diff (889 bytes, patch)
2009-12-06 00:30 UTC, Cristiano Rolim Pereira
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Cristiano Rolim Pereira 2009-12-06 00:30:01 UTC
The attached patch updates misc/gnuls to version 8.1 .

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2009-12-06 00:30:08 UTC
Maintainer of misc/gnuls,

Please note that PR ports/141209 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/141209

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-12-06 00:30:11 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Brian Clapper 2009-12-08 12:22:41 UTC
On 12/5/09 7:30 PM, Edwin Groothuis wrote:
> Maintainer of misc/gnuls,
> 
> Please note that PR ports/141209 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/141209

Approved.
-- 
-Brian

Brian Clapper, http://www.clapper.org/bmc/
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2009-12-08 17:19:36 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Dmitry Marakasov freebsd_committer 2009-12-12 01:34:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 6 Dmitry Marakasov freebsd_committer 2009-12-12 02:00:34 UTC
State Changed
From-To: open->feedback

Does not patch on 8.x: http://people.freebsd.org/~amdmi3/gnuls-8.1.log
Comment 7 Dmitry Marakasov 2009-12-12 03:10:22 UTC
* amdmi3@FreeBSD.org (amdmi3@FreeBSD.org) wrote:

> State-Changed-From-To: open->feedback
> State-Changed-By: amdmi3
> State-Changed-When: Sat Dec 12 02:00:34 UTC 2009
> State-Changed-Why: 
> Does not patch on 8.x: http://people.freebsd.org/~amdmi3/gnuls-8.1.log

Though the patch is for stty which is not really installed by this
port, so I guess it can be safely removed. Is this OK?

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 8 Cristiano Rolim Pereira 2009-12-25 16:12:21 UTC
Good point. The patch is not necessary.
--
Cristiano Rolim Pereira

diff -ruN ../gnuls.orig/Makefile ./Makefile
--- ../gnuls.orig/Makefile	2009-12-05 21:26:48.000000000 -0200
+++ ./Makefile	2009-12-05 21:27:20.000000000 -0200
@@ -6,7 +6,7 @@
 #

 PORTNAME=	gnuls
-PORTVERSION=	7.5
+PORTVERSION=	8.1
 CATEGORIES=	misc
 MASTER_SITES=	${MASTER_SITE_GNU}
 MASTER_SITE_SUBDIR=	coreutils
diff -ruN ../gnuls.orig/distinfo ./distinfo
--- ../gnuls.orig/distinfo	2009-12-05 21:26:48.000000000 -0200
+++ ./distinfo	2009-12-05 21:28:12.000000000 -0200
@@ -1,3 +1,3 @@
-MD5 (coreutils-7.5.tar.gz) = 775351410b7d6879767c3e4563354dc6
-SHA256 (coreutils-7.5.tar.gz) = 
341f49b9434f83ca9a8b6c2266813092ef08a5fca25f15dcc1a0ba82fc18c3c1
-SIZE (coreutils-7.5.tar.gz) = 9956013
+MD5 (coreutils-8.1.tar.gz) = 4cde9f31604f4da188ed302ca55545ea
+SHA256 (coreutils-8.1.tar.gz) = 
5ea1adda4df2ad61e0184f5c7b08a2ad13db1a581d5da19610dd3c4718c1c8b0
+SIZE (coreutils-8.1.tar.gz) = 10379352
diff -ruN ../gnuls.orig/files/extra-patch-stty.c ./files/extra-patch-stty.c
--- ../gnuls.orig/files/extra-patch-stty.c	2009-12-05 
21:26:48.000000000 -0200
+++ ./files/extra-patch-stty.c	1969-12-31 21:00:00.000000000 -0300
@@ -1,20 +0,0 @@
---- src/stty.c.orig	2009-02-22 12:02:55.000000000 -0300
-+++ src/stty.c	2009-02-22 12:04:32.000000000 -0300
-@@ -280,8 +280,6 @@
- #endif
- #ifdef TABDLY
-   {"tab3", output, SANE_UNSET, TAB3, TABDLY},
--  {"tab2", output, SANE_UNSET, TAB2, TABDLY},
--  {"tab1", output, SANE_UNSET, TAB1, TABDLY},
-   {"tab0", output, SANE_SET, TAB0, TABDLY},
- #else
- # ifdef OXTABS
-@@ -627,7 +625,7 @@
-       fputs (_("\
-  * [-]onocr      do not print carriage returns in the first column\n\
-    [-]opost      postprocess output\n\
-- * tabN          horizontal tab delay style, N in [0..3]\n\
-+ * tabN          horizontal tab delay style, N in [0,3]\n\
-  * tabs          same as tab0\n\
-  * -tabs         same as tab3\n\
-  * vtN           vertical tab delay style, N in [0..1]\n\
Comment 9 Dmitry Marakasov freebsd_committer 2009-12-25 17:38:48 UTC
State Changed
From-To: feedback->open

Submitter has approved.
Comment 10 dfilter service freebsd_committer 2009-12-25 17:40:22 UTC
amdmi3      2009-12-25 17:40:13 UTC

  FreeBSD ports repository

  Modified files:
    misc/gnuls           Makefile distinfo 
  Removed files:
    misc/gnuls/files     extra-patch-stty.c 
  Log:
  - Update to 8.1
  - Unbreak on 8.x and above
  
  PR:             141209
  Submitted by:   Cristiano Rolim Pereira <cristianorolim@hotmail.com>
  Approved by:    Brian Clapper <bmc@clapper.org> (maintainer)
  
  Revision  Changes    Path
  1.28      +2 -8      ports/misc/gnuls/Makefile
  1.14      +3 -3      ports/misc/gnuls/distinfo
  1.3       +0 -20     ports/misc/gnuls/files/extra-patch-stty.c (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 Dmitry Marakasov freebsd_committer 2009-12-25 17:40:24 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!